Bug 1326119 - [manila][Field] Make Manila UI buttons optionally visible
Summary: [manila][Field] Make Manila UI buttons optionally visible
Keywords:
Status: CLOSED DUPLICATE of bug 1326280
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-manila-ui
Version: 9.0 (Mitaka)
Hardware: All
OS: Linux
medium
medium
Target Milestone: Upstream M3
: 11.0 (Ocata)
Assignee: Victoria Martinez de la Cruz
QA Contact: Dustin Schoenbrun
URL:
Whiteboard:
Depends On: 1433492
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-11 21:45 UTC by jliberma@redhat.com
Modified: 2017-03-27 22:51 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-27 22:51:47 UTC


Attachments (Terms of Use)
Screen shot of visible option (71.44 KB, application/vnd.oasis.opendocument.text)
2016-04-11 21:45 UTC, jliberma@redhat.com
no flags Details

Description jliberma@redhat.com 2016-04-11 21:45:24 UTC
Created attachment 1146145 [details]
Screen shot of visible option

Description of problem:

By default all Manila UI buttons are visible.

However, some Manila administrators do not want to expose all features to their users.

For example:
1) The "Make visible for all" button and text box
2) The CIFs/SMBF share protocol option in the drop down box

Not all backend Manila drivers support all sharing protocol options.

Comment 3 Tom Barron 2016-11-16 20:14:03 UTC
Moved target to 11.  We aren't targeting 8, which was tech-preview.


Note You need to log in before you can comment on or make changes to this bug.